package models

import "time"

type AnthroveUserID string
type AnthrovePostID string
type AnthroveSourceID string
type AnthroveSourceDomain string
type AnthrovePostURL string
type AnthroveTagGroupName string
type AnthroveTagAliasName string
type AnthroveTagID string
type AnthroveScrapeTimeInterval int
type AnthroveUserLastScrapeTime time.Time
type AnthroveTagName string

type Rating string
type TagType string

const (
	SFW          Rating = "safe"
	NSFW         Rating = "explicit"
	Questionable Rating = "questionable"
	Unknown      Rating = "unknown"
)

const (
	General   TagType = "general"
	Species   TagType = "species"
	Character TagType = "character"
	Artist    TagType = "artist"
	Lore      TagType = "lore"
	Meta      TagType = "meta"
	Invalid   TagType = "invalid"
	Copyright TagType = "copyright"
)

func (r *Rating) Convert(e621Rating string) {
	switch e621Rating {
	case "e":
		*r = NSFW
	case "q":
		*r = Questionable
	case "s":
		*r = SFW
	default:
		*r = Unknown
	}
}
